# =====================================================================
# (C) 2019-2021 Tech Mahindra Limited. All rights reserved
# No part of this code may be copied, reproduced, sold,
# or transmitted in any form or by any means, electronic,
# mechanical, photocopying, recording, or otherwise,
# without prior written permission of Tech Mahindra Limited.
#
# IN NO EVENT SHALL TECH MAHINDRA BE LIABLE TO ANY PARTY FOR DIRECT,
# INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
# INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE
# AND ITS DOCUMENTATION, EVEN IF TECH MAHINDRA HAS BEEN ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#
# TECH MAHINDRA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
# BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE AND ACCOMPANYING
# DOCUMENTATION, IF ANY, PROVIDED HEREUNDER IS PROVIDED "AS IS".
# TECH MAHINDRA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT,
# UPDATES, ENHANCEMENTS OR MODIFICATIONS.
# =====================================================================

# Console print messages
INSTALLER_TEMPLATE_GENERATED = "Info: Generated NovaLink installer template \
file at {0} \nSpecify details in the highlighted areas of VIOS and NovaLink \
sheets respectively. Save the file and run --install command.\n "

HARDWARE_DETAILS_SCAN = "Info: Scanning hardware details of host {0}."
SRIOV_FOUND = "Info: SR-IOV adapter found : {0}"
SRIOV_CONVERT_SRIOV_MODE = "Info: Changing SR-IOV adapter to SR-IOV mode."
SRIOV_CONVERT_DEDICATED_MODE = "Info: Changing SR-IOV adapter to Dedicated \
mode."
SRIOV_SHARED_MODE_SUCCESS = "Info: The adapter in slot {0} is changed to \
SR-IOV mode successfully.\n"
SRIOV_DEDICATED_MODE_SUCCESS = "Info: The adapter in slot {0} is changed to \
Dedicated mode successfully.\n"
SRIOV_SHARED_MODE_FAILED = "Error: Cannot change the adapter in slot \
{0} to SR-IOV mode."
SRIOV_DEDICATED_MODE_FAILED = "Error: Cannot change the adapter in slot \
{0} to Dedicated mode."

XLSX_EMPTY_FIELDS = "Required field"
# Integer or Decimal value validation messages
INT_VAL_INVALID = "Invalid input. Enter a numeric value."
DECIMAL_VAL_INVALID = "Invalid input. Enter number or \
decimal values."

# Min, desired, max memory validation messages
# Min, desired, max Processor validation messages
INPUTS_LESS_THAN_REQUIRED = "{0} is set to less than {1}."

# PORT VLAN ID validation message
VLAN_ID_INVALID = "Invalid PORT VLAN ID."
VLAN_ID_RANGE_INVALID = "Invalid range for PORT VLAN ID. Enter a value \
between 0 to 4094."
# IP Address validation messages
IP_ADDRESS_INVALID = "Does not appear to be \
an IPv4 or IPv6 address."
IP_CONFLICT_ERROR = "IP address already in use. Enter a \
different IP address."
IP_ADD_PING_ERROR = "IP address is not pingable. Enter \
a valid IP address."
SAME_IP_ASSIGN_ERROR = "Error: {0} - Same IP assigned to more than \
one VIOS or NovaLink IP parameters."


# VIOS Validation messages
# ISO path validation message
VIOS_ISO_PATH_INVALID = "Invalid ISO path."
# Minimum IO Adapters selection for VIOS.
VIOS_IO_SELECTION_COUNT_INVALID = "Minimum 2 IO adapters are \
required, one Ethernet and either SAS or FC adapter."
VIOS_SAME_ADAPTER_SELECTION = "{0} is selected as 'Required' \
for more than one VIOS."
VIOS_IO_SELECTION_INVALID = "Invalid selection. Please select \
SAS or Ethernet adapters only."
VIOS_IO_SAS_INVALID = "Invalid selection. Please select \
at least one SAS adapter."
VIOS_IO_FC_INVALID = "Invalid selection. Please select \
at least one FC adapter."
VIOS_IO_ETH_INVALID = "Invalid selection. Please select \
at least one Ethernet adapter."
VIOS_IO_ETH_SRIOV_INVALID = "Invalid selection. Please select \
at least one Ethernet or SR-IOV adapter."
VIOS_SRIOV_SHARED_MODE_SUCCESS = "Info: The adapter in slot {0} is changed to \
SR-IOV mode successfully."
VIOS_SRIOV_SHARED_MODE_FAILED = "Error: Cannot change the adapter in slot \
{0} to SR-IOV mode."
SRIOV_NOT_FOUND_WARNING = "Warning: Unable to fetch SR-IOV adapters \
information. Retry after sometime."

# Empty fields validation messages
LPAR_EXIST = "\nError: NovaLink cannot be installed on the host {0}. \
Remove any VMs and retry."

VIOS_NAME_EMPTY_FIELDS = "Error: VIOS name is required for {0}."
# VIOS Validation and Installation messages
VIOS_PROFILE_CREATE_SUCCESS = "Info: Partition and profile created \
successfully for {0}."
VIOS_PROFILE_CREATE_ERROR = "Error: Unable to create partition and \
profile for {0}."
NOVALINK_PROFILE_CREATE_SUCCESS = "Info: Partition and profile created \
successfully for {0}."
VIOS_NETWORK_CHECK = "Info: Checking network configuration and ping \
test for {0}."
VIOS_PING_SUCCESS = "Info: Ping successful for {0}."
VIOS_PING_FAILED = "Error: Ping failed for {0}."

VIOS_INSTALL_MESSAGE = "{0} install is starting."
WAITING_MSG_VIOS_INSTALL = "Retrieving information. \
This will take several minutes..."
WAITING_FOR_RMC_ACTIVE = "\nWaiting for RMC state to become active. \
This will take several minutes."
VIOS_RMC_INACTIVE_TIMEOUT_ERROR = "Error: Request timed out, \
RMC is not active."
VIOS_CONFIGURE_MSG = "Info: Configuring VIOS : {0}."
VIOS_SET_PASSWORD = "Info: Password is setup successfully."
VIOS_ACCEPT_LICENSE = "Info: License is accepted successfully."
VIOS_DEPLOY_RULE = "Info: Rules are deployed successfully."
VIOS_RESTART = "Info: Restarting VIOS."
VIOS_RESTART_TIMEOUT = "Error: Request timed out, unable to restart VIOS."
VIOS_CONFIGURE_ERROR = "Error: Unable to configure VIOS : {0}."

VIOS_CREATE_SEA_MSG = "Info: Gathering information for SEA creation for {0}."
VIOS_CREATE_SEA_SUCCESS = "Info: SEA is created successfully for {0}."
VIOS_CREATE_SEA_ERROR = "Error: Unable to create SEA for {0}."

CREATE_LV_SUCCESS = "Info: Logical volume is created on {0}."
CREATE_LV_FAILED = "Error: Unable to create logical volume on {0}."
MAP_DISK_SUCCESS = "Info: Logical volume is mapped to vHost successfully."
MAP_DISK_FAILED = "Error: Unable to map logical volume to vHost."

SET_CO_MGMT_MASTER = "Info: HMC set as PowerVM management master."
REL_CO_MGMT_MASTER = "Info: HMC is released from the PowerVM \
management master."
SET_PVM_CPBL_MGMT = "Info: NovaLink VM set as PowerVM capable management."

SHARED_PROC_POOL_CONFIGURED = "Info: Shared processor pool is configured \
for VIOS and NovaLink."

SRIOV_PORT_ASSIGNED_SUCCESS = "Info: SR-IOV port {0} is assigned successfully."

MGMT_VSWITCH_CREATED = "Info: Management VSwitch is created successfully."

SETTING_HMC_MASTER_AND_NL_PVM_CPBL_MGMT = "Info: Setting HMC as PowerVM \
management master and NovaLink VM as PowerVM capable management.\n"
NOVALINK_VM_POWER_OFF = "NovaLink VM is shutting down. \
This will take several minutes.\n"
CONFIGURE_NOVALINK = "Configuring NovaLink, please wait."
NOVALINK_SET_MASTER = "NovaLink is set as master successfully.\n"
NOVALINK_PVM_PACKAGE_ERROR = "Unable to install pvm packages. \
Check /var/log/novalink-post.log for more details."
NOVALINK_CONFIGURED_SUCCESS = "NovaLink is configured successfully."
PRESS_ENTER_FOR_LOGIN = "Press Enter/Return to get login prompt."

HMC_NOT_OPERATING = "Unable to perform operation. \
Reset server firmware settings and retry."
VIOS_PHY_NWT_BOOT_DEVICE_ERROR = "Configuration of physical \
network boot device failed"
PRIVATE_NETWORK_ADDED_SUCCESS = "Info: Private network is created \
successfully for {0}."
PRIVATE_NETWORK_ADDING_FAILED = "Error: Unable to create private \
network for {0}."
