# =====================================================================
# (C) 2019 Tech Mahindra Limited. All rights reserved
# No part of this code may be copied, reproduced, sold,
# or transmitted in any form or by any means, electronic,
# mechanical, photocopying, recording, or otherwise,
# without prior written permission of Tech Mahindra Limited.
#
# IN NO EVENT SHALL TECH MAHINDRA BE LIABLE TO ANY PARTY FOR DIRECT,
# INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
# INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE
# AND ITS DOCUMENTATION, EVEN IF TECH MAHINDRA HAS BEEN ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#
# TECH MAHINDRA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
# BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE AND ACCOMPANYING
# DOCUMENTATION, IF ANY, PROVIDED HEREUNDER IS PROVIDED "AS IS".
# TECH MAHINDRA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT,
# UPDATES, ENHANCEMENTS OR MODIFICATIONS.
# =====================================================================


class VIOShandler:

    def getVirtAdapter(self,):
        command = '"lsdev" | grep ent | grep Virtual'
        return command

    def getPortVlanID(self, vEth):
        command = '"entstat -all "'+vEth+' | grep -i "Port VLAN ID"'
        return command

    def getPhysicalAdapter(self,):
        command = '"lstcpip -interfaces" | grep -i "up"'
        return command

    def createSEA(self, phyEth, vEth, vLAN):
        command = '"mkvdev -sea '+phyEth+' -vadapter '+vEth+' -default \
            '+vEth+' -defaultid '+str(vLAN)+' -auto -migrate -attr \
            ha_mode=auto"'
        return command

    def get_hostname(self,):
        command = 'hostname'
        return command

    def get_empty_interface(self,):
        command = '"lstcpip -interfaces" | grep -i "detach" | grep -i "en"'
        return command

    def get_mgmt_switch_interface(self, vEth):
        command = '"entstat -all "'+vEth+' | grep -i "Port VLAN ID"'
        return command

    def add_network(self, hostname, ip_add, netmask, interface):
        command = '"mktcpip -hostname '+hostname+' -inetaddr '+str(
            ip_add)+' -interface '+interface+' -netmask '+netmask+' -start"'
        return command

    # Create Logical Volume
    # mklv -lv <diskname> <vgname> <disksize>
    # mklv -lv novalklv rootvg 50G
    def createLV(self, diskName, diskSize, vg='rootvg'):
        command = '"mklv -lv '+diskName+' '+vg+' '+str(diskSize)+'"'
        return command

    def getvHostUsingDrc(self, drc_name):
        command = '"lsmap -all" | grep -w '+str(drc_name)
        return command

    # Map Logical Volume to vHost
    # mkvdev -vdev <diskName> -vadapter <vHost>
    # mkvdev -vdev novalklv -vadapter vhost1
    def diskvHostMapping(self, diskName, vHost):
        command = '"mkvdev -vdev '+diskName+' -vadapter '+vHost+'"'
        return command
